[Overview][Constants][Types][Classes][Index] | Reference for unit 'BlowFish' (#fcl)

# TBlowFishEncryptStream.Flush

Flush the encryption buffer

## Declaration

Source position: blowfish.pp line 73

`public procedure TBlowFishEncryptStream.Flush;`

## Description

Flush writes the remaining data in the encryption buffer to the destination stream.

For efficiency, data is always written 4 bytes at a time, since this is the amount of bytes required by the Blowfish algorithm. If no multiple of 4 was written to the destination stream, the Flush mechanism can be used to write the remaining bytes.

Flush is called automatically when the stream is destroyed, so there is no need to call it after all data was written and the stream is no longer needed.

## See also

Write |  | Write data to the stream
TBFBlock |  | Internal Blowfish data structure